'use strict';

module.exports = app => {
  const { INTEGER } = app.Sequelize;

  const Score = app.huodongModel.define('sys_user_score_info', {
    id: { type: INTEGER, primaryKey: true, autoIncrement: true },
    user_sid: INTEGER(11),
    all_score: INTEGER(11),
    score: INTEGER(11),
    vip: INTEGER(11),
    lucky_draw: INTEGER(11),
  }, {
    timestamps: false,
    tableName: 'sys_user_score_info',
  });

  return Score;

};
